Package org.eclipse.zest.layouts.dataStructures

# Class InternalNode

java.lang.Object
org.eclipse.zest.layouts.dataStructures.InternalNode

All Implemented Interfaces:
  `Comparable`, `LayoutEntity`, `LayoutItem`

@Deprecated(since="2.0", forRemoval=true) public class InternalNode extends Object implements Comparable, LayoutEntity
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from interface org.eclipse.zest.layouts.LayoutEntity

`ATTR_PREFERRED_HEIGHT, ATTR_PREFERRED_WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`InternalNode(LayoutEntity entity)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object arg0)`
Deprecated, for removal: This API element is subject to removal in a future version.
`Object`
`getAttributeInLayout(Object attribute)`
Deprecated, for removal: This API element is subject to removal in a future version.
An algorithm may require a place to store information.
`double`
`getCurrentX()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getCurrentY()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getDx()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getDy()`
Deprecated, for removal: This API element is subject to removal in a future version.
`Object`
`getGraphData()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getHeightInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getInternalHeight()`
Deprecated, for removal: This API element is subject to removal in a future version.
`DisplayIndependentPoint`
`getInternalLocation()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getInternalWidth()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getInternalX()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getInternalY()`
Deprecated, for removal: This API element is subject to removal in a future version.
`LayoutEntity`
`getLayoutEntity()`
Deprecated, for removal: This API element is subject to removal in a future version.
`Object`
`getLayoutInformation()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getPreferredHeight()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getPreferredWidth()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getPreferredX()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getPreferredY()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getWidthInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getXInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getYInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
`boolean`
`hasPreferredHeight()`
Deprecated, for removal: This API element is subject to removal in a future version.
`boolean`
`hasPreferredLocation()`
Deprecated, for removal: This API element is subject to removal in a future version.
`boolean`
`hasPreferredWidth()`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated, for removal: This API element is subject to removal in a future version.
Classes should update the specified layout constraint if recognized
`void`
`setAttributeInLayout(Object attribute, Object value)`
Deprecated, for removal: This API element is subject to removal in a future version.
An algorithm may require a place to store information.
`void`
`setDx(double x)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setDy(double y)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setGraphData(Object o)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setInternalLocation(double x, double y)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setInternalSize(double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setLayoutInformation(Object internalEntity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setLocation(double x, double y)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setLocationInLayout(double x, double y)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setSize(double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setSizeInLayout(double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.
`String`
`toString()`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalNode

public InternalNode(LayoutEntity entity)
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### getLayoutEntity

public LayoutEntity getLayoutEntity()
Deprecated, for removal: This API element is subject to removal in a future version.

### getPreferredX

public double getPreferredX()
Deprecated, for removal: This API element is subject to removal in a future version.

### getPreferredY

public double getPreferredY()
Deprecated, for removal: This API element is subject to removal in a future version.

### hasPreferredLocation

public boolean hasPreferredLocation()
Deprecated, for removal: This API element is subject to removal in a future version.

### setDx

public void setDx(double x)
Deprecated, for removal: This API element is subject to removal in a future version.

### setDy

public void setDy(double y)
Deprecated, for removal: This API element is subject to removal in a future version.

### getDx

public double getDx()
Deprecated, for removal: This API element is subject to removal in a future version.

### getDy

public double getDy()
Deprecated, for removal: This API element is subject to removal in a future version.

### getCurrentX

public double getCurrentX()
Deprecated, for removal: This API element is subject to removal in a future version.

### getCurrentY

public double getCurrentY()
Deprecated, for removal: This API element is subject to removal in a future version.

### setLocation

public void setLocation(double x, double y)
Deprecated, for removal: This API element is subject to removal in a future version.

### setSize

public void setSize(double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.

### setInternalLocation

public void setInternalLocation(double x, double y)
Deprecated, for removal: This API element is subject to removal in a future version.

### getInternalLocation

public DisplayIndependentPoint getInternalLocation()
Deprecated, for removal: This API element is subject to removal in a future version.

### setInternalSize

public void setInternalSize(double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.

### getInternalX

public double getInternalX()
Deprecated, for removal: This API element is subject to removal in a future version.

### getInternalY

public double getInternalY()
Deprecated, for removal: This API element is subject to removal in a future version.

### getInternalWidth

public double getInternalWidth()
Deprecated, for removal: This API element is subject to removal in a future version.

### getInternalHeight

public double getInternalHeight()
Deprecated, for removal: This API element is subject to removal in a future version.

### setAttributeInLayout

public void setAttributeInLayout(Object attribute, Object value)
Deprecated, for removal: This API element is subject to removal in a future version.
An algorithm may require a place to store information. Use this structure for that purpose.

### getAttributeInLayout

public Object getAttributeInLayout(Object attribute)
Deprecated, for removal: This API element is subject to removal in a future version.
An algorithm may require a place to store information. Use this structure for that purpose.

### hasPreferredWidth

public boolean hasPreferredWidth()
Deprecated, for removal: This API element is subject to removal in a future version.

### getPreferredWidth

public double getPreferredWidth()
Deprecated, for removal: This API element is subject to removal in a future version.

### hasPreferredHeight

public boolean hasPreferredHeight()
Deprecated, for removal: This API element is subject to removal in a future version.

### getPreferredHeight

public double getPreferredHeight()
Deprecated, for removal: This API element is subject to removal in a future version.

### compareTo

public int compareTo(Object arg0)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `compareTo` in interface `Comparable`

### toString

public String toString()
Deprecated, for removal: This API element is subject to removal in a future version.

Overrides:
  `toString` in class `Object`

### getHeightInLayout

public double getHeightInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `getHeightInLayout` in interface `LayoutEntity`

### getLayoutInformation

public Object getLayoutInformation()
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `getLayoutInformation` in interface `LayoutEntity`

### getWidthInLayout

public double getWidthInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `getWidthInLayout` in interface `LayoutEntity`

### getXInLayout

public double getXInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `getXInLayout` in interface `LayoutEntity`

### getYInLayout

public double getYInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `getYInLayout` in interface `LayoutEntity`

### populateLayoutConstraint

public void populateLayoutConstraint(LayoutConstraint constraint)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `LayoutEntity`
Classes should update the specified layout constraint if recognized

Specified by:
  `populateLayoutConstraint` in interface `LayoutEntity`

### setLayoutInformation

public void setLayoutInformation(Object internalEntity)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `setLayoutInformation` in interface `LayoutEntity`

### setLocationInLayout

public void setLocationInLayout(double x, double y)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `setLocationInLayout` in interface `LayoutEntity`

### setSizeInLayout

public void setSizeInLayout(double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `setSizeInLayout` in interface `LayoutEntity`

### getGraphData

public Object getGraphData()
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `getGraphData` in interface `LayoutItem`

### setGraphData

public void setGraphData(Object o)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `setGraphData` in interface `LayoutItem`